## hinic-dkms 0+git20250605+6.6.0

=== hinic/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_HINIC) += hinic.o

hinic-y := hinic_nic_cfg.o hinic_nic_io.o hinic_nic_dbg.o \
           hinic_hwif.o hinic_msix_attr.o hinic_eqs.o \
           hinic_mbox.o hinic_api_cmd.o hinic_mgmt.o \
           hinic_wq.o hinic_cmdq.o hinic_hwdev.o hinic_cfg.o \
           hinic_sml_counter.o hinic_sml_lt.o \
           hinic_multi_host_mgmt.o hinic_main.o hinic_lld.o \
           hinic_qp.o hinic_rx.o hinic_tx.o hinic_dbgtool_knl.o \
           hinic_nictool.o hinic_sriov.o hinic_dcb.o\
           hinic_ethtool.o

## hinic-dkms 0+git20250605+6.6.0-95.0.0

=== debian/changelog ===
hinic-dkms (0+git20250605+6.6.0-95.0.0-4) unstable; urgency=medium

  * d/copyright: update the url in Format: to https
  * d/p: fix spelling issue
  * d/p: annotate patches with Forwarded: not-needed
  * d/c: update URL of the git repo

 -- Miao Wang <shankerwangmiao@gmail.com>  Mon, 05 Jan 2026 21:17:19 +0800

hinic-dkms (0+git20250605+6.6.0-95.0.0-3) unstable; urgency=medium

  [ Miao Wang ]
  * Add patches for compatibility with 6.18 kernels
  * Fix copyright and license information in debian/copyright
  * Initial upload. (Closes: #1124670)

  [ Shengqi Chen ]
  * d/control: add myself in uploaders
  * d/control: rename src package to hinic-dkms

 -- Shengqi Chen <harry@debian.org>  Mon, 05 Jan 2026 21:00:17 +0800

hinic (0+git20250605+6.6.0-95.0.0-2) unstable; urgency=low

  * Add patches for compatibility with 6.6, 6.1, 5.15, 5.10, 5.4 kernels
  * Add patch to fix build error when CONFIG_DCB is not enabled
  * Add patch to fix build error when CONFIG_VLAN_8021Q is not enabled
  * Add patch to fix build error when CONFIG_PCI_IOV is not enabled
  * Add workflow to check build on multiple kernel versions
  * Fix warning about missing static specifier within #ifdef blocks

 -- Miao Wang <shankerwangmiao@gmail.com>  Thu, 10 Jul 2025 19:16:00 +0800

hinic (0+git20250605+6.6.0-95.0.0-1) unstable; urgency=low

  * Import changes from 6.6.0-95.0.0
  * Necessary changes for building with 6.12 kernels

 -- Miao Wang <shankerwangmiao@gmail.com>  Thu, 05 Jun 2025 19:16:00 +0800

hinic (0+git20230415+5.10.0-136.28.0-1) unstable; urgency=low

  * Import changes from 5.10.0-136.28.0 (openEuler-22.03-LTS-SP1)

 -- Miao Wang <shankerwangmiao@gmail.com>  Sat, 15 Apr 2023 00:44:21 +0800

hinic (0+git20210529) unstable; urgency=low

  * Initial build

 -- Miao Wang <shankerwangmiao@gmail.com>  Sat, 29 May 2021 00:50:21 +0800

=== debian/control ===
Source: hinic-dkms
Section: kernel
Maintainer: Miao Wang <shankerwangmiao@gmail.com>
Uploaders: Shengqi Chen <harry@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.7.3
Homepage: https://gitee.com/openeuler/kernel/tree/OLK-6.6/drivers/net/ethernet/huawei/hinic
Testsuite: autopkgtest-pkg-dkms
Vcs-Git: https://salsa.debian.org/debian/hinic-dkms.git
Vcs-Browser: https://salsa.debian.org/debian/hinic-dkms

Package: hinic-dkms
Architecture: all
Depends: ${misc:Depends}, dkms
Description: DKMS Driver for Huawei HiNIC family
 HiNIC is a network interface card for the Data Center Area developed by
 Huawei. This package provides the DKMS source files obtained from the
 OpenEuler kernel source tree, which is different from the driver integrated
 in the mainline Linux kernel. It provides more features and an interface
 for advanced management tools which can be used to configure and monitor
 the device. This driver also extends support for more architectures.
